Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IOR_Parser Class Reference

Defines the interface for the pluggable IOR parser components. More...

`#include <IOR_Parser.h>`

Inheritance diagram for TAO_IOR_Parser:

[legend]
Collaboration diagram for TAO_IOR_Parser:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_IOR_Parser (void)
| The destructor. More...
virtual int | match_prefix (const char *ior_string) const=0
| Return 1 if <ior_string> starts with a prefix known to this IOR parser. More...
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb ACE_ENV_ARG_DECL_NOT_USED)=0 throw (CORBA::SystemException)
| Parse the <ior> argument and return an object reference. More...

## Detailed Description

Defines the interface for the pluggable IOR parser components.

The ORB is able to dynamically load the list of IOR formats it understands. That allow us to integrate formats such as corbaname:, http: or ftp: only when required. This class provides a uniform interface for all the IOR parsers

## Constructor & Destructor Documentation

TAO_IOR_Parser::~TAO_IOR_Parser | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

virtual int TAO_IOR_Parser::match_prefix | ( | const char * | ior_string | ) | const`[pure virtual]`

| Return 1 if <ior_string> starts with a prefix known to this IOR parser. Reimplemented in TAO_CORBALOC_Parser, TAO_CORBANAME_Parser, TAO_DLL_Parser, TAO_FILE_Parser, and TAO_MCAST_Parser.

virtual CORBA::Object_ptr TAO_IOR_Parser::parse_string | ( | const char * | ior,
|  | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[pure virtual]`

| Parse the <ior> argument and return an object reference. The call may raise the standard system exceptions (NO_MEMORY, INV_OBJREF, etc.) Reimplemented in TAO_CORBALOC_Parser, TAO_CORBANAME_Parser, TAO_DLL_Parser, TAO_FILE_Parser, and TAO_MCAST_Parser.

The documentation for this class was generated from the following files:

- IOR_Parser.h
- IOR_Parser.cpp